From: <a href="/blend/av.cgi?id=1511">sassy</a><BR>
Date: 6 July 2005<P>

I first heard the song in my late teens, I think..I was going through a huge dramatic phase at the time where I though life was just misery and would never get better.  I would lie down on the floor with the stereo speakers on either side of me, and just lose myself in that haunting arrangement...to me, "Comfortably Numb" is the sort of song that makes you ache but soothes you at the same time...The lines "There is no pain, you are receding..." just carry me away.<BR>
<BR>
So go on everyone, lie down with your speakers ( I suppose headphones work too) and try it. 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 6 July 2005<P>

i'm just him; <a href="/blend/wv.cgi?id=2005.07.06.17.16.7413">fixing a broken road</a> You have such a unique way with words. I like them both but this one made me smile out loud. <BR>
<BR>
bk
<HR>